# $Revision: 1.19 $, $Date: 2004/10/08 04:52:43 $
Summary:	Cross AVR GNU binary utility development utilities - gcc
Summary(es):	Utilitarios para desarrollo de binarios de la GNU - AVR gcc
Summary(fr):	Utilitaires de dveloppement binaire de GNU - AVR gcc
Summary(pl):	Skrone narzdzia programistyczne GNU dla AVR - gcc
Summary(pt_BR): Utilitrios para desenvolvimento de binrios da GNU - AVR gcc
Summary(tr):    GNU gelitirme aralar - AVR gcc
Name:		crossavr-gcc
Version:	3.4.1
Release:	2
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	ftp://gcc.gnu.org/pub/gcc/releases/gcc-%{version}/gcc-%{version}.tar.bz2
# Source0-md5:	31b459062499f9f68d451db9cbf3205c
BuildRequires:	autoconf
BuildRequires:	/bin/bash
BuildRequires:	bison
BuildRequires:	crossavr-binutils
BuildRequires:	flex
Requires:	crossavr-binutils
Requires:	gcc-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		target		avr
%define		arch		%{_prefix}/%{target}
%define		gccarch		%{_libdir}/gcc/%{target}
%define		gcclib		%{_libdir}/gcc/%{target}/%{version}
%define		_noautostrip	.*%{gcclib}.*/libgc.*\\.a

%description
This package contains a cross-gcc which allows the creation of
binaries to be run on Atmel AVR on other machines.

%description -l de
Dieses Paket enthlt einen Cross-gcc, der es erlaubt, auf einem
anderem Rechner Code fr Atmel AVR zu generieren.

%description -l pl
Ten pakiet zawiera skrony gcc pozwalajcy na robienie na innych
maszynach binariw do uruchamiania na Atmel AVR.

%package c++
Summary:	C++ support for avr-gcc
Summary(pl):	Obsuga C++ dla avr-gcc
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description c++
This package adds C++ support to the GNU Compiler Collection for AVR.

%description c++ -l pl
Ten pakiet dodaje obsug C++ do kompilatora gcc dla AVR.

%prep
%setup -q -n gcc-%{version}

%build
rm -rf obj-%{target}
install -d obj-%{target}
cd obj-%{target}

CFLAGS="%{rpmcflags}" \
CXXFLAGS="%{rpmcflags}" \
TEXCONFIG=false \
../configure \
	--prefix=%{_prefix} \
	--infodir=%{_infodir} \
	--mandir=%{_mandir} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--disable-shared \
	--enable-languages="c,c++" \
	--with-gnu-as \
	--with-gnu-ld \
	--with-system-zlib \
	--with-multilib \
	--without-x \
	--build=%{_target_platform} \
	--host=%{_target_platform} \
	--target=%{target}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C obj-%{target} install \
	DESTDIR=$RPM_BUILD_ROOT

# don't want it here
rm -f $RPM_BUILD_ROOT%{_libdir}/libiberty.a

%if 0%{!?debug:1}
# strip target libraries
%{target}-strip -g $RPM_BUILD_ROOT%{gcclib}{,/avr*}/libg*.a
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-gcc*
%attr(755,root,root) %{_bindir}/%{target}-cpp
%attr(755,root,root) %{_bindir}/%{target}-gcov
%dir %{gccarch}
%dir %{gcclib}
%attr(755,root,root) %{gcclib}/cc1
%attr(755,root,root) %{gcclib}/collect2
%{gcclib}/libg*.a
%{gcclib}/specs
%{gcclib}/%{target}*
%dir %{gcclib}/include
%{gcclib}/include/*.h
%{_mandir}/man1/%{target}-cpp.1*
%{_mandir}/man1/%{target}-gcc.1*
%{_mandir}/man1/%{target}-gcov.1*

%files c++
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{target}-g++
%attr(755,root,root) %{_bindir}/%{target}-c++
%attr(755,root,root) %{gcclib}/cc1plus
%{_mandir}/man1/%{target}-g++.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossavr-gcc.spec,v $
Revision 1.19  2004/10/08 04:52:43  ankry
- R: gcc-dirs, rel++

Revision 1.18  2004/07/20 13:35:04  qboosh
- use name macro in R

Revision 1.17  2004/07/20 11:36:40  qboosh
- de fix(?) (not only i386)

Revision 1.16  2004/07/19 14:01:02  qboosh
- fixed en,pl descs

Revision 1.15  2004/07/19 13:14:09  qboosh
- updated to 3.4.1, cleanups/unifications

Revision 1.14  2004/06/20 13:18:34  qboosh
- no need to create /lib

Revision 1.13  2004/06/20 12:47:04  qboosh
- updated to 3.4.0 (avr target is broken in 3.3.x, see PR 13735
  - fixed in 3.4.0, wontfix in 3.3.x)

Revision 1.12  2004/02/07 11:00:06  qboosh
- pl summary for -c++, removed default or unused macros

Revision 1.11  2004/02/06 21:04:54  bszx
- added c++ subpackage. Tested on AT90S2313.

Revision 1.10  2004/02/01 00:50:43  undefine
- don't strip

Revision 1.9  2003/12/27 16:02:17  undefine
- update to 3.3.2, seems to build ;)

Revision 1.8  2003/08/29 23:30:32  ankry
- sync summaries / descriptions; some BR fixed

Revision 1.7  2003/08/18 08:07:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.6  2003/08/06 16:51:42  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.5  2003/05/26 16:24:50  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:46:27  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/04 15:12:05  wiget
updated to 3.2

Revision 1.2  2002/04/22 16:03:40  ankry
- fixed URL for gcc sources.

Revision 1.1  2002/03/12 22:08:37  wojtekka
- initial release based on crossmipsel-*.spec. works fine.
